resource 'MENU' (128, "Apple", preload) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About Tar...", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129, "File", preload) {
	129,
	textMenuProc,
	0x7FFFFFB7,
	enabled,
	"File",
	{	/* array: 8 elements */
		/* [1] */
		"Create...", noIcon, noKey, noMark, plain,
		/* [2] */
		"Extract...", noIcon, noKey, noMark, plain,
		/* [3] */
		"List...", noIcon, noKey, noMark, plain,
		/* [4] */
		"-", noIcon, noKey, noMark, plain,
		/* [5] */
		"Close", noIcon, noKey, noMark, plain,
		/* [6] */
		"Page Setup...", noIcon, noKey, noMark, plain,
		/* [7] */
		"-", noIcon, noKey, noMark, plain,
		/* [8] */
		"Quit", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (130, "Edit", preload) {
	130,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	"Edit",
	{	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (131, "Options", preload) {
	131,
	textMenuProc,
	0x7FFFFFB7,
	enabled,
	"Options",
	{	/* array: 8 elements */
		/* [1] */
		"Convert Newlines", noIcon, noKey, noMark, plain,
		/* [2] */
		"Old Tar Compatible", noIcon, noKey, noMark, plain,
		/* [3] */
		"Block Size...", noIcon, noKey, noMark, plain,
		/* [4] */
		"-", noIcon, noKey, noMark, plain,
		/* [5] */
		"Page Screen Listings", noIcon, noKey, noMark, plain,
		/* [6] */
		"List to Printer", noIcon, noKey, noMark, plain,
		/* [7] */
		"-", noIcon, noKey, noMark, plain,
		/* [8] */
		"Set Creator/Type...", noIcon, noKey, noMark, plain
	}
};

resource 'DLOG' (128, "AboutTar", purgeable) {
	{68, 112, 240, 380},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	128,
	""
};

resource 'DLOG' (130, "SelectDirectory", purgeable) {
	{0, 0, 184, 304},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	130,
	""
};

resource 'DLOG' (129, "BlockSize", purgeable) {
	{44, 75, 144, 375},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	129,
	""
};

resource 'DLOG' (131, "Creator/Type", purgeable) {
	{44, 75, 154, 375},
	dBoxProc,
	visible,
	nogoAway,
	0x0,
	131,
	""
};

resource 'DITL' (129, "BlockSize", purgeable) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{15, 200, 37, 260},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{50, 200, 74, 260},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{40, 80, 55, 121},
		EditText {
			enabled,
			""
		},
		/* [4] */
		{15, 40, 35, 159},
		StaticText {
			enabled,
			"Enter block size:"
		}
	}
};

resource 'DITL' (192, "BadBlockAlert", purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{60, 124, 80, 184},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{9, 67, 49, 256},
		StaticText {
			enabled,
			"Block size must be between 1 and 128 inc"
			"lusive!"
		}
	}
};

resource 'DITL' (130, "SelectDirectory", purgeable) {
	{	/* array DITLarray: 8 elements */
		/* [1] */
		{132, 218, 150, 288},
		Button {
			enabled,
			"Select"
		},
		/* [2] */
		{158, 218, 176, 288},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{10, 15, 26, 198},
		StaticText {
			disabled,
			"Select Directory"
		},
		/* [4] */
		{29, 198, 49, 302},
		UserItem {
			disabled
		},
		/* [5] */
		{56, 218, 74, 288},
		Button {
			enabled,
			"Eject"
		},
		/* [6] */
		{82, 218, 100, 288},
		Button {
			enabled,
			"Drive"
		},
		/* [7] */
		{0, 1500, 50, 1550},
		EditText {
			enabled,
			""
		},
		/* [8] */
		{59, 14, 157, 197},
		UserItem {
			disabled
		}
	}
};

resource 'DITL' (193, "OSAlert", purgeable) {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{121, 126, 141, 186},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 65, 30, 315},
		StaticText {
			enabled,
			"Routine: ^0"
		},
		/* [3] */
		{35, 65, 55, 315},
		StaticText {
			enabled,
			"OS Call: ^1"
		},
		/* [4] */
		{60, 65, 80, 315},
		StaticText {
			enabled,
			"^2"
		},
		/* [4] */
		{85, 65, 110, 315},
		StaticText {
			enabled,
			"OS Error: ^3"
		}
	}
};

resource 'DITL' (194, "PgmAlert", purgeable) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{122, 123, 142, 183},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 65, 30, 315},
		StaticText {
			enabled,
			"Routine: ^0"
		},
		/* [3] */
		{35, 65, 70, 315},
		StaticText {
			enabled,
			"^1"
		},
		/* [4] */
		{75, 65, 95, 315},
		StaticText {
			enabled,
			"^2"
		}
	}
};

resource 'DITL' (195, "HFSAlert", purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{60, 124, 80, 184},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{9, 92, 49, 221},
		StaticText {
			enabled,
			"Tar only works with HFS volumes."
		}
	}
};

resource 'DITL' (196, "SkipAlert", purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{63, 130, 83, 190},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{9, 81, 56, 266},
		StaticText {
			enabled,
			"Skipping archive file (it is within the "
			"directory being archived)."
		}
	}
};

resource 'DITL' (197, "StackAlert", purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{63, 130, 83, 190},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{9, 81, 56, 266},
		StaticText {
			enabled,
			"Overrun of stack in window print (can't "
			"continue)!"
		}
	}
};

resource 'DITL' (198, "DFAlert", purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{60, 124, 80, 184},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{9, 92, 49, 221},
		StaticText {
			enabled,
			"Archive file disk full!"
		}
	}
};

resource 'DITL' (131, "Creator/Type", purgeable) {
	{	/* array DITLarray: 6 elements */
		/* [1] */
		{78, 43, 98, 103},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{79, 182, 99, 242},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{13, 114, 33, 174},
		EditText {
			enabled,
			""
		},
		/* [4] */
		{45, 114, 65, 174},
		EditText {
			enabled,
			""
		},
		/* [5] */
		{13, 38, 33, 98},
		StaticText {
			enabled,
			"Creator:"
		},
		/* [6] */
		{44, 58, 65, 100},
		StaticText {
			enabled,
			"Type:"
		}
	}
};

resource 'DITL' (128, "AboutTar", purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{130, 74, 150, 134},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{7, 7, 114, 254},
		Picture {
			enabled,
			128
		}
	}
};

resource 'ALRT' (129, "BadBlockSize", purgeable) {
	{50, 65, 140, 385},
	192,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'ALRT' (130, "OSAlert", purgeable) {
	{50, 65, 200, 385},
	193,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'ALRT' (131, "PgmAlert", purgeable) {
	{50, 65, 200, 385},
	194,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'ALRT' (132, "HFSAlert", purgeable) {
	{50, 65, 140, 385},
	195,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'ALRT' (133, "SkipAlert", purgeable) {
	{50, 65, 140, 385},
	196,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'ALRT' (134, "StackAlert", purgeable) {
	{50, 65, 140, 385},
	197,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'ALRT' (135, "DFAlert", purgeable) {
	{50, 65, 140, 385},
	198,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'WIND' (129, "ListingWindow") {
	{40, 20, 320, 480},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	""
};

resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"3F FF FF FC 20 FF F0 04 20 F0 F0 F4 20 C0 30 F4"
		$"20 80 10 04 20 86 10 04 20 8F 10 04 20 9F 90 04"
		$"20 9F 90 04 20 8F 10 04 20 86 10 04 20 80 10 04"
		$"20 C0 30 04 20 F0 F0 04 20 FF F0 04 20 80 10 04"
		$"20 AC 10 04 20 FF F0 04 20 F0 F0 04 20 C0 30 04"
		$"20 80 10 04 20 86 10 04 20 8F 10 04 20 9F 90 04"
		$"20 9F 90 04 20 8F 10 04 20 86 10 04 20 80 10 04"
		$"20 C0 30 04 20 F0 F0 04 20 FF F0 04 3F FF FF FC",
		/* [2] */
		$"3F FF FF FC 3F FF FF FC 3F FF FF FC 3F FF FF FC"
		$"3F FF FF FC 3F FF FF FC 3F FF FF FC 3F FF FF FC"
		$"3F FF FF FC 3F FF FF FC 3F FF FF FC 3F FF FF FC"
		$"3F FF FF FC 3F FF FF FC 3F FF FF FC 3F FF FF FC"
		$"3F FF FF FC 3F FF FF FC 3F FF FF FC 3F FF FF FC"
		$"3F FF FF FC 3F FF FF FC 3F FF FF FC 3F FF FF FC"
		$"3F FF FF FC 3F FF FF FC 3F FF FF FC 3F FF FF FC"
		$"3F FF FF FC 3F FF FF FC 3F FF FF FC 3F FF FF FC"
	}
};

resource 'ICN#' (129) {
	{	/* array: 2 elements */
		/* [1] */
		$"00 00 C0 00 00 00 30 00 00 0F FC 00 00 30 0F 00"
		$"00 C7 E3 C0 01 1F F8 E0 02 7F FE 40 04 FF FF 20"
		$"09 FF FF 90 0B FF FF D0 13 FF FF C8 17 F8 1F E8"
		$"27 F3 CF E4 2F E4 27 F4 2F E8 17 F4 2F E8 17 F4"
		$"2F E8 17 F4 2F E8 17 F4 2F E4 27 F4 27 F3 CF E4"
		$"17 F8 1F E8 13 FF FF C8 0B FF FF D0 09 FF FF 90"
		$"04 FF FF 20 02 7F FE 40 01 1F F8 80 00 C7 E3 00"
		$"00 30 0C 00 00 0F F0",
		/* [2] */
		$"00 00 C0 00 00 00 30 00 00 0F FC 00 00 3F FF 00"
		$"00 FF FF C0 01 FF FF E0 03 FF FF C0 07 FF FF E0"
		$"0F FF FF F0 0F FF FF F0 1F FF FF F8 1F FF FF F8"
		$"3F FF FF FC 3F FF FF FC 3F FF FF FC 3F FF FF FC"
		$"3F FF FF FC 3F FF FF FC 3F FF FF FC 3F FF FF FC"
		$"1F FF FF F8 1F FF FF F8 0F FF FF F0 0F FF FF F0"
		$"07 FF FF E0 03 FF FF C0 01 FF FF 80 00 FF FF 00"
		$"00 3F FC 00 00 0F F0"
	}
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};

resource 'FREF' (129) {
	'TARF',
	1,
	""
};

resource 'BNDL' (128) {
	'TAR ',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'ICN#',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 129
		},
		/* [2] */
		'FREF',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 129
		}
	}
};

type 'ftyp' {
	string[8];
};

resource 'ftyp' (0, purgeable) {
	"MPS TEXT"
};

data 'TAR ' (0) {
	$"08 54 61 72 20 76 32 2E 30"                         /* .Tar v2.0 */
};

resource 'PICT' (128, purgeable) {
	474,
	{7, 7, 114, 254},
	$"11 01 A0 00 82 A1 00 96 00 06 05 00 00 00 02 98"
	$"A1 00 9A 00 08 FF FC 00 00 00 45 00 00 A0 00 98"
	$"01 00 0A 00 07 00 07 00 72 00 FE 03 00 02 0D 00"
	$"0C 2B 0B 16 15 54 61 72 20 66 6F 72 20 74 68 65"
	$"20 4D 61 63 69 6E 74 6F 73 68 A0 00 99 A0 00 97"
	$"A1 00 96 00 06 05 00 00 00 02 98 A1 00 9A 00 08"
	$"00 1A 00 00 00 78 00 00 A0 00 98 0D 00 0A 2A 1B"
	$"22 57 72 69 74 74 65 6E 20 62 79 20 43 72 61 69"
	$"67 20 52 75 66 66 20 77 69 74 68 20 65 78 63 65"
	$"72 70 74 29 BF 07 73 20 66 72 6F 6D 0D A0 00 99"
	$"A1 00 9A 00 08 00 0E 00 00 00 78 00 00 A0 00 98"
	$"28 00 3D 00 0B 22 4A 6F 68 6E 20 47 69 6C 6D 6F"
	$"72 65 27 73 20 70 75 62 6C 69 63 20 64 6F 6D 61"
	$"69 6E 20 74 61 72 20 70 29 BF 08 72 6F 67 72 61"
	$"6D 2E 0D A0 00 99 A1 00 9A 00 08 00 02 00 00 00"
	$"78 00 00 A0 00 98 28 00 49 00 0B 01 0D A0 00 99"
	$"A1 00 9A 00 08 FF F6 00 00 00 78 00 00 A0 00 98"
	$"2A 0C 22 54 68 69 73 20 70 72 6F 67 72 61 6D 20"
	$"69 73 20 70 75 62 6C 69 63 20 64 6F 6D 61 69 6E"
	$"2E 20 20 4E 6F 29 BE 09 20 66 65 65 20 6D 61 79"
	$"0D A0 00 99 A1 00 9A 00 08 FF EA 00 00 00 78 00"
	$"00 A0 00 98 28 00 61 00 0B 22 62 65 20 63 68 61"
	$"72 67 65 64 20 66 6F 72 20 61 20 63 6F 70 79 20"
	$"6F 66 20 74 68 69 73 20 70 72 6F 67 29 BA 08 72"
	$"61 6D 20 61 6E 64 0D A0 00 99 A1 00 9A 00 08 FF"
	$"DE 00 00 00 78 00 00 A0 00 98 28 00 6D 00 0B 22"
	$"64 69 73 74 72 69 62 75 74 69 6F 6E 20 6D 61 79"
	$"20 6E 6F 74 20 62 65 20 72 65 73 74 72 69 63 74"
	$"65 64 29 B8 01 2E A0 00 99 A0 00 97 A0 00 83 FF"
};

resource 'vers' (1) {
	0x02, 0x00, beta, 0x01, verUS,
	"2.0",
	"Macintosh Tar, v2.0"
};